#ifndef LANGUAGECFG_H_
#define LANGUAGECFG_H_

#include "gType.h" 
#include "GraphLow.h"
#include "GraphBase.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "TEdit.h"

class TLanguageCfg{
	public:
		static constexpr unsigned short hList[12] = {80,60,32,32,	32,32,32,32,	32,32,32,32};
		static constexpr unsigned short wList[12] = {800,800,800,800,	800,800,800,800,	800,800,800,800};
		static constexpr TLv Lv = {
			.Caption.Left = 0,
			.Caption.Top = 36,
			.Caption.Width = 800,
			.Caption.Heigh = 32,
			.Caption.Right = 800 -0 -1,
			.Caption.Bottom = 36 + 32,
			
			.Grid.Left = {0,0,0,0,	0,0,0,0,	0,0,0,0},
			.Grid.Right = {wList[0]-1,wList[1]-1,wList[2]-1,wList[3]-1,	wList[4]-1,wList[5]-1,wList[6]-1,wList[7]-1,	wList[8]-1,wList[9]-1,wList[10]-1,wList[11]-1},
			.Grid.Top[0] = (36 + 32 +2),
			.Grid.Top[1] = (36 + 32 +2) + (2 + hList[0]),
			.Grid.Top[2] = (36 + 32 +2) + (2 + hList[0]) + (2 + hList[1]),
				
			.Grid.Bottom[0] = (36 + 32 +2) + hList[0],
			.Grid.Bottom[1] = (36 + 32 +2) + (2 + hList[0]) + hList[1],
			.Grid.Bottom[2] = (36 + 32 +2) + (2 + hList[0]) + (2 + hList[1]) + hList[2],
			
			.Grid.UsingCount = 2,
			
			.Panel.Active = 0,
			.Panel.ItemType = piMemo,
			.PanelSmall.Active = 0,
		};
		static constexpr TPoint TipPoint = {
			.x = Lv.Grid.Left[Lv.Grid.UsingCount -1] + 20,
			.y = Lv.Grid.Bottom[Lv.Grid.UsingCount -1] + 80,
		};
		static constexpr TPoint ResultTipPoint = {
			.x = Lv.Grid.Left[Lv.Grid.UsingCount -1] + 20,
			.y = Lv.Grid.Bottom[Lv.Grid.UsingCount -1] + 10,
		};
		
		int SettingEnCn;
		
		struct{
			unsigned char Group;
			unsigned char Inx0;
			unsigned char Inx1;
			unsigned char Dump0;
			void Reset();
		}Tag;
		
		int SaveResult;
		unsigned char IsPermission;
	public:
		TLanguageCfg(){};
		void Init();
		void RenderBackGround(void);

		void RenderBackGround(unsigned int aClr);
		void RenderContent(void);
		void DrawSelf(void);
		void Show();
		void DrawTip();
		void FullRedraw(int Prm);
		void DrawFixText();
			
		void DrawSelected(int IsSelected);
			
		void DrawEnCn();
			
		void ChangeValue();
		
		void ShowSaveResult();			
		void ShowSaveResult(int aSaveResult);
			
		void LoadSysCfg();
		void SetDefault();
		TGuiMsgReturn KeyIn(unsigned char aKey);
			
		void SetProperty();
		void SetEventType();
			
		void ShowSta(int aGroup, int aInx);
		void ShowStaAll();
		int GoResult();
		
		static void sRecoverSetDefault();
		
		void PermissionCmdReturnDraw();
		void PermissionCmdGO();
			
		int ExtRequst(unsigned char Prm){return 0;}
	
};



































#endif
